Subject: Re: bug#23581: Grafted binaries crash

From: Leo Famulari <[email-masked]>
Date: Fri, 20 May 2016 21:44:13 -0400

On Sat, May 21, 2016 at 12:19:50AM +0200, Ludovic Courtès wrote:
> [email-masked] (Ludovic Courtès) skribis:
> 
> > Bus-eraro(nekropsio elŝutita)
> 
> I was able to reproduce the bus error by grafting in ENOSPC conditions:
> 
> --8<---------------cut here---------------start------------->8---
> @ build-started /gnu/store/dc8pxfdmmp35cpivsr78bwfp15ppx5ih-icecat-38.8.0-gnu1.drv - x86_64-linux /var/log/guix/drvs/dc//8pxfdmmp35cpivsr78bwfp15ppx5ih-icecat-38.8.0-gnu1.drv.bz2
> grafting '/gnu/store/5z1q4zw73r8cx409qbmh7abhd6llm31c-icecat-38.8.0-gnu1' -> '/gnu/store/yahn165sj4ajx0zklgql6s4yiadmdpay-icecat-38.8.0-gnu1'...
> In thread:
> ERROR: In procedure scm_flush: No space left on device
> In thread:
> ERROR: In procedure scm_flush: No space left on device
> Backtrace:
> In unknown file:
>    ?: 2 [apply-smob/1 #<catch-closure 8c96e0> quit #<unspecified>]
> In ice-9/boot-9.scm:
>  157: 1 [catch #t #<catch-closure 1d54ce0> ...]
> In unknown file:
>    ?: 0 [apply-smob/1 #<catch-closure 1d54ce0>]
> 
> ERROR: In procedure apply-smob/1:
> ERROR: In procedure scm_flush: No space left on device
> @ build-succeeded /gnu/store/dc8pxfdmmp35cpivsr78bwfp15ppx5ih-icecat-38.8.0-gnu1.drv -
> @ build-started /gnu/store/3phgf8166l7dahscy5si13cky49yfwp7-conkeror-1.0pre1.20150730.drv - x86_64-linux /var/log/guix/drvs/3p//hgf8166l7dahscy5si13cky49yfwp7-conkeror-1.0pre1.20150730.drv.bz2
> grafting '/gnu/store/19hbrx9nhr9g5a2am8yxhd7i7rn778j5-conkeror-1.0pre1.20150730' -> '/gnu/store/n5swnzg1gr48x53q3hjn953nph4vbz1l-conkeror-1.0pre1.20150730'...
> @ build-succeeded /gnu/store/3phgf8166l7dahscy5si13cky49yfwp7-conkeror-1.0pre1.20150730.drv -
> /gnu/store/n5swnzg1gr48x53q3hjn953nph4vbz1l-conkeror-1.0pre1.20150730
> $ /gnu/store/n5swnzg1gr48x53q3hjn953nph4vbz1l-conkeror-1.0pre1.20150730/bin/conkeror
> Bus-eraro
> --8<---------------cut here---------------end--------------->8---
> 
> Note that, despite ENOSPC, the grafting derivation is marked as
> succeeding.

I think this happened to me when updating all the packages in my profile
after the recent libarchive CVE-2016-1541 bug-fix (e7806e6ca). I didn't
get a bus error, but another surprising failure in libarchive's test
suite after running out of space while building the grafted libarchive.